Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd
Interface SyndEnclosure

All Superinterfaces:
  Cloneable, CopyFrom<SyndEnclosure>

All Known Implementing Classes:
  SyndEnclosureImpl

    public interface SyndEnclosure

extends Cloneable, CopyFrom<SyndEnclosure>

Author:
  Alejandro Abdelnur

Method Summary
`long` | `getLength()` Returns the enclosure length.
`String` | `getType()` Returns the enclosure type.
`String` | `getUrl()` Returns the enclosure URL.
`void` | `setLength(long length)` Sets the enclosure length.
`void` | `setType(String type)` Sets the enclosure type.
`void` | `setUrl(String url)` Sets the enclosure URL.

Methods inherited from interface com.sun.syndication.feed.CopyFrom
`copyFrom, getInterface`

Method Detail

### getUrl

    String getUrl()

  Returns the enclosure URL.

  Returns:
    the enclosure URL, null if none.

### setUrl

    void setUrl(String url)

  Sets the enclosure URL.

  Parameters:
    `url` - the enclosure URL to set, null if none.

### getLength

    long getLength()

  Returns the enclosure length.

  Returns:
    the enclosure length, 0 if none.

### setLength

    void setLength(long length)

  Sets the enclosure length.

  Parameters:
    `length` - the enclosure length to set, 0 if none.

### getType

    String getType()

  Returns the enclosure type.

  Returns:
    the enclosure type, null if none.

### setType

    void setType(String type)

  Sets the enclosure type.

  Parameters:
    `type` - the enclosure type to set, null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.